QDomDocumentFragment(3qt)

NAME
QDomDocumentFragment - Tree of QDomNodes which is usually not a complete QDomDocument <h1 align=center>QDomDocumentFragment Class Reference
<small>[ XML module ]</small></h1>

#include <qdom.h>

Inherits QDomNode.

  Public Members
QDomDocumentFragment ()
QDomDocumentFragment ( const QDomDocumentFragment & x )
QDomDocumentFragment& operator= ( const QDomDocumentFragment & )
~QDomDocumentFragment ()
virtual QDomNode::NodeType nodeType () const
virtual bool isDocumentFragment () const

DESCRIPTION
The QDomDocumentFragment class is a tree of QDomNodes which is usually not a complete QDomDocument.

If you want to do complex tree operations it is useful to have a lightweight class to store nodes and their relations. QDomDocumentFragment stores a subtree of a document which does not necessarily represent a well-formed XML document.

QDomDocumentFragment is also useful if you want to group several nodes in a list and insert them all together as children of some node. In these cases QDomDocumentFragment can be used as a temporary container for this list of children.

The most important feature of QDomDocumentFragment is, that it is treated in a special way by QDomNode::insertAfter(), QDomNode::insertBefore() and QDomNode::replaceChild(): instead of inserting the fragment itself, all children of the fragment are inserted.

MEMBER FUNCTION DOCUMENTATION

QDomDocumentFragment::QDomDocumentFragment ()
Constructs an empty DocumentFragment.

QDomDocumentFragment::QDomDocumentFragment ( const QDomDocumentFragment & x )
Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

QDomDocumentFragment::~QDomDocumentFragment ()
Destructor.

bool QDomDocumentFragment::isDocumentFragment () const [virtual]
This function reimplements QDomNode::isDocumentFragment().

See also nodeType() and QDomNode::toDocumentFragment().

Reimplemented from QDomNode.

QDomNode::NodeType QDomDocumentFragment::nodeType() const [virtual]
Returns DocumentFragment.

See also isDocumentFragment() and QDomNode::toDocumentFragment().

Reimplemented from QDomNode.

QDomDocumentFragment& QDomDocumentFragment::operator= ( const QDomDocumentFragment & x )
Assignment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

SEE ALSO
http://doc.trolltech.com/qdomdocumentfragment.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.